# coding:utf-8
from dspawpy.analysis.aimdtools import get_lagtime_msd, plot_msd

# 如果AIMD非一次性完成，可以将多个h5文件路径以列表形式赋值给datafile参数
lagtime, msd = get_lagtime_msd(
    datafile="dspawpy_proj/dspawpy_tests/inputs/2.18/aimd.h5",  # 数据文件路径
    select="all",  # 默认选择所有原子
    msd_type="xyz",  # 默认计算xyz方向的msd
    timestep=None,  # 默认从datafile文件中读取时间步长
)
# 用获取的数据画图并保存
plot_msd(
    lagtime,  # 横坐标
    msd,  # 纵坐标
    xlim=None,  # 设置x轴的显示范围
    ylim=None,  # 设置y轴的显示范围
    figname="dspawpy_proj/dspawpy_tests/outputs/us/10MSD.png",  # 输出的图像文件名
    show=False,  # 是否弹出图像窗口
    #   ax = None, # 可指定子图
)
